JointExitBuilder Class

class NXOpen.Weld.JointExitBuilder

Bases: NXOpen.Weld.WeldJointBuilder

Used to set custom edge preparation parameters of a NXOpen.Weld.WeldJoint feaure.

To create a new instance of this class, use NXOpen.Weld.WeldManager.CreateJointExitBuilder()

Default values.

Property Value
NumberSegments 2
RootOpening 0
SplitAngle 5.0

New in version NX8.0.0.

Properties

Property Description
AssociativeSplit Returns or sets whether split joints should be associative
BackingFace Returns the backing face.
BossColorFontWidth Returns the color, font, and width of the boss joint curves.
ButtColor Returns or sets the color for butt weld type joints
ButtColorFontWidth Returns the color, font, and width of the butt joint curves.
ButtFont Returns or sets the curve font for butt weld type joints
ButtWidth Returns or sets the curve with for butt weld type joints
CombineConnectedJoints Returns or sets the indication to combine connected joints if they belong to the same body
CornerColorFontWidth Returns the color, font, and width of the corner joint curves.
CreateMethod Returns or sets the creation method
CreatedApplication Returns or sets the application where joint is created
Destination Returns or sets the destination to create new joints
DuplicateCheck Returns or sets the indication to not allow new joints to be created if they are duplicates of exising joints
FilletColor Returns or sets the color for T-joint weld type joints
FilletFont Returns or sets the curve font for T-joint weld type joints
FilletWidth Returns or sets the curve with for T-joint weld type joints
FinishMethod Returns or sets the weld finish method
Joint Returns the welding joint curves.
JointList Returns the list of NXOpen.Weld.JointItemBuilder objects.
JointPrefix Returns or sets the prefix for the weld ID attribute, and the prefix for the name of the component if NXOpen.Weld.WeldJointBuilderDestinationTypes is :py:class:` NXOpen.Weld.WeldJointBuilderDestinationTypes.NewComponent < NXOpen.Weld.WeldJointBuilderDestinationTypes>`
LapColorFontWidth Returns the color, font, and width of the lap joint curves.
LimitList Returns the list of limit builders.
Limits Returns the limits of the joint curve span.
MasterEdge Returns the master edge of a fillet weld.
MaximumFaceGap Returns or sets the maximum face gap used when determining if two bodies intersect.
MechanicalColorFontWidth Returns the color, font, and width of the mechanical joint curves.
NamePrefix Returns or sets the prefix used for the welding joint Design Feature name in Collaborative Product Development mode
NumberSegments Returns or sets the number of segments to divide a joint when using :py:class:` NXOpen.Weld.WeldJointBuilderSplitTypes.EqualSegments < NXOpen.Weld.WeldJointBuilderSplitTypes>`.
OtherSideSymbol Returns or sets the symbol for welding other side when it is not being prepared
PlacementFace Returns the placement face of a fillet weld.
PrimaryEdge Returns the primary edge of a butt weld.
PrimaryFace Returns the primary face of a butt weld.
RootOpening Returns or sets the desired gap between bodies being welded
SecondaryEdge Returns the secondary edge of a butt weld.
SecondaryFace Returns the secondary face of a butt weld.
ShipComponent Returns the components on which the welding joints will be created.
Side Returns or sets the side edge preparation values will be applied to
SleeveColorFontWidth Returns the color, font, and width of the sleeve joint curves.
SocketColorFontWidth Returns the color, font, and width of the socket joint curves.
SpacingLength Returns or sets the spacing length when using :py:class:` NXOpen.Weld.WeldJointBuilderSplitTypes.Skip < NXOpen.Weld.WeldJointBuilderSplitTypes>`.
SplitAngle Returns or sets the split angle to divide a joint when using :py:class:` NXOpen.Weld.WeldJointBuilderSplitTypes.Angle < NXOpen.Weld.WeldJointBuilderSplitTypes>`.
SplitLength Returns or sets the segment length when using :py:class:` NXOpen.Weld.WeldJointBuilderSplitTypes.Skip < NXOpen.Weld.WeldJointBuilderSplitTypes>`.
SplitOption Returns or sets the method used to split the joint
SubsetPart Returns or sets the subset part where Design Control Elements are to be created
SymbolType Returns or sets the symbol to override the symbol computed from the joint parameters, if NXOpen.Annotations.Symbol is not :py:class:` NXOpen.AnnotationsSymbol.None < NXOpen.AnnotationsSymbol>`.
TJointColorFontWidth Returns the color, font, and width of the T-joint curves.
Tag Returns the Tag for this object.
TargetFace Returns the target face of a fillet weld.
Type Returns or sets the creation type
WeldType Returns or sets the weld type
WeldingCharacteristics Returns the collection of welding characteristics defined by attributes.
WorkPart Returns or sets the saved work part

Methods

Method Description
AddCharacteristicsInheritaceInformation Add welding characteristics inheritance information.
Commit Commits any edits that have been applied to the builder.
CopyLimits Copy input limits to builder limits
CreateLimitsPath Creates the path to be used for the limits.
CreateSingleJointFromFeature Creates a joint from a feature.
Delete Deletes all joints set by NXOpen.Weld.WeldJointBuilder.Joint().
DeleteAllUnMarkedJoints Deletes any joints that were not marked with a call to NXOpen.Weld.WeldJointBuilder.MarkJointsToKeep().
DeleteCharacteristicsInheritaceInformation Delete welding characteristics inheritance information.
Destroy Deletes the builder, and cleans up any objects created by the builder.
FindPortsInParts Gets ports from the parts.
GetAngleBetween Gets the angle between the fillet weld mold faces, and the target faces, or butt weld primary and secondary faces.
GetCommittedComponents This method returns the component parts that are created by Builder.Commit().
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetConnectedParts Gets connected parts for joint.
GetEdgePrepValues Gets the thickness and angle combination to set for the desired weld position
GetFilletLengths Gets the fillet weld values for the side of the welding joint.
GetIsLongPoint Gets the long point status.
GetJointChanged Indicates whether joint was changed.
GetJointLimits Get the limits of an individual joint.
GetMidPointInformation Gets the joint curve mid point, tangent, and face normals at the mid point from the primary and secondary bodies.
GetNewlyCreatedJoints Gets the NXOpen.Weld.JointItemBuilder objects and curves which were just created by NXOpen.Weld.WeldJointBuilder.ShowJoints().
GetObject Returns the object currently being edited by this builder.
GetOppositeFilletLengths Gets the fillet weld values for the opposite side of the welding joint.
GetPrimaryThickness Gets the primary thickness for a specified joint
GetSecondaryThickness Gets the primary secondary for a specified joint
GetSingleJoint Gets the NXOpen.Weld.JointItemBuilder object associated to the input curve.
GetVariableBevelAngles Gets variable bevel angles.
IsCornerOpen Returns status value of true if corner joint is an open case which means the placement face only touches the target face at the master edge.
IsPipeJoint Returns status value of true if this is a pipe welding joint.
MarkJointsToKeep Marks all currently created welding joints so they do not get deleted when NXOpen.Weld.WeldJointBuilder.DeleteAllUnMarkedJoints() is called from the dialog.
NewItem Creates a NXOpen.Weld.JointItemBuilder object.
SetBothFilletLengths Sets the symmetric fillet weld values for a welding joint.
SetCallbackMessage Sets a message to display after callback processing ends
SetEdgePrepValues This method should be called multiple times.
SetErrorMessage Sets an error message to display
SetFilletLengths Sets the fillet weld values for the side of the welding joint.
SetJointChanged Indicate that joint was changed.
SetOppositeFilletLengths Sets the fillet weld values for the opposite side of the welding joint.
SetVariableBevelAngles This method is for use with the variable bevel callback.
ShowJoints Show joints will create joints using the method set by NXOpen.Weld.WeldJointBuilderTypes.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Split Splits all joints set by NXOpen.Weld.WeldJointBuilder.Joint() defined by NXOpen.Weld.WeldJointBuilderSplitTypes.
UpdateCollectors Updates the main collectors by copying data from Joint.
UpdateJointAfterLimitsChange Updates the joint curve after the limits change.
UpdateJointType Updates all joints set by NXOpen.Weld.WeldJointBuilder.Joint() to have the given type.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

JointExitBuilderBodySide Enumeration Settings to indicate the side the positions should be applied to.
JointExitBuilderPositions Enumeration Settings to indicate the desired position of edge preporation thickness and angle.

Structs

JointExitBuilderFilletSizes_Struct Struct The structure for defining fillet weld lengths.

Property Detail

FinishMethod

JointExitBuilder.FinishMethod

Returns or sets the weld finish method

-------------------------------------

Getter Method

Signature FinishMethod

Returns:
Return type:NXOpen.Annotations.FinishMethod

New in version NX10.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature FinishMethod

Parameters:method (NXOpen.Annotations.FinishMethod) –

New in version NX10.0.0.

License requirements: structure_weld (“STRUCTURE WELD”)

OtherSideSymbol

JointExitBuilder.OtherSideSymbol

Returns or sets the symbol for welding other side when it is not being prepared

-------------------------------------

Getter Method

Signature OtherSideSymbol

Returns:
Return type:NXOpen.Annotations.Symbol

New in version NX10.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature OtherSideSymbol

Parameters:symbol (NXOpen.Annotations.Symbol) –

New in version NX10.0.0.

License requirements: structure_weld (“STRUCTURE WELD”)

RootOpening

JointExitBuilder.RootOpening

Returns or sets the desired gap between bodies being welded

-------------------------------------

Getter Method

Signature RootOpening

Returns:
Return type:float

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature RootOpening

Parameters:rootOpening (float) –

New in version NX8.0.0.

License requirements: structure_weld (“STRUCTURE WELD”)

Side

JointExitBuilder.Side

Returns or sets the side edge preparation values will be applied to

-------------------------------------

Getter Method

Signature Side

Returns:
Return type:NXOpen.Weld.JointExitBuilderBodySide

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Side

Parameters:side (NXOpen.Weld.JointExitBuilderBodySide) –

New in version NX8.0.0.

License requirements: structure_weld (“STRUCTURE WELD”)

SymbolType

JointExitBuilder.SymbolType

Returns or sets the symbol to override the symbol computed from the joint parameters, if NXOpen.Annotations.Symbol is not :py:class:` NXOpen.AnnotationsSymbol.None < NXOpen.AnnotationsSymbol>`.

Currently only :py:class:` NXOpen.AnnotationsSymbol.JButt < NXOpen.AnnotationsSymbol>` and :py:class:` NXOpen.AnnotationsSymbol.UButt < NXOpen.AnnotationsSymbol>` are implemented. All other values will be treated as :py:class:` NXOpen.AnnotationsSymbol.None < NXOpen.AnnotationsSymbol>`

-------------------------------------

Getter Method

Signature SymbolType

Returns:
Return type:NXOpen.Annotations.Symbol

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature SymbolType

Parameters:symbol (NXOpen.Annotations.Symbol) –

New in version NX11.0.0.

License requirements: structure_weld (“STRUCTURE WELD”)

Method Detail

GetEdgePrepValues

JointExitBuilder.GetEdgePrepValues

Gets the thickness and angle combination to set for the desired weld position

Signature GetEdgePrepValues(position)

Parameters:position (NXOpen.Weld.JointExitBuilderPositions) – Position of edge preparation values to set.
Returns:a tuple
Return type:A tuple consisting of (thickness, angle) thickness is a float. The thickness depth for this position. angle is a float. The angle of edge preporation for this position.

New in version NX8.0.0.

License requirements: None.

GetFilletLengths

JointExitBuilder.GetFilletLengths

Gets the fillet weld values for the side of the welding joint.

Signature GetFilletLengths()

Returns:The fillet sizes for the side of the welding joint
Return type:NXOpen.Weld.JointExitBuilderFilletSizes_Struct

New in version NX8.0.0.

License requirements: None.

GetOppositeFilletLengths

JointExitBuilder.GetOppositeFilletLengths

Gets the fillet weld values for the opposite side of the welding joint.

Signature GetOppositeFilletLengths()

Returns:The fillet sizes for the opposite side of the welding joint
Return type:NXOpen.Weld.JointExitBuilderFilletSizes_Struct

New in version NX8.0.0.

License requirements: None.

SetBothFilletLengths

JointExitBuilder.SetBothFilletLengths

Sets the symmetric fillet weld values for a welding joint.

Signature SetBothFilletLengths(sizes)

Parameters:sizes (NXOpen.Weld.JointExitBuilderFilletSizes_Struct) – The symmetric fillet sizes for both sides of the welding joint

New in version NX8.0.0.

License requirements: structure_weld (“STRUCTURE WELD”)

SetEdgePrepValues

JointExitBuilder.SetEdgePrepValues

This method should be called multiple times.

First set the BodySide then call this method for each Position. For Butt welds this function should be used to set each side. After the primary side is set, change the BodySide and call this method for the secondary side. For Fillet welds, only the primary side needs to be set.

Signature SetEdgePrepValues(position, thickness, angle)

Parameters:
  • position (NXOpen.Weld.JointExitBuilderPositions) – Position of edge preparation values to set.
  • thickness (float) – The thickness depth for this position.
  • angle (float) – The angle of edge preporation for this position.

New in version NX8.0.0.

License requirements: structure_weld (“STRUCTURE WELD”)

SetFilletLengths

JointExitBuilder.SetFilletLengths

Sets the fillet weld values for the side of the welding joint.

Signature SetFilletLengths(sizes)

Parameters:sizes (NXOpen.Weld.JointExitBuilderFilletSizes_Struct) – The fillet sizes for the side of the welding joint

New in version NX8.0.0.

License requirements: structure_weld (“STRUCTURE WELD”)

SetOppositeFilletLengths

JointExitBuilder.SetOppositeFilletLengths

Sets the fillet weld values for the opposite side of the welding joint.

Signature SetOppositeFilletLengths(sizes)

Parameters:sizes (NXOpen.Weld.JointExitBuilderFilletSizes_Struct) – The fillet sizes for the opposite side of the welding joint

New in version NX8.0.0.

License requirements: structure_weld (“STRUCTURE WELD”)

Validate

JointExitBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.